Forum

Updating Wifi 1500 ...
 
Notifications
Clear all

Updating Wifi 1500 firmware  

  RSS

(@helibrewer)
Eminent Member
Joined: 3 years ago
Posts: 22
May 23, 2020 3:22 pm  

Getting there slowly but surely. I received my wifi shield (from the order list) and attached it to the MEGA. When I check the firmware version (CheckWifi101FirmwareVersion), I am one version behind (I have 9.5.4). I then upload the FirmwareUpdater sketch without issue but when I test the connection I get several java errors in the Arduino IDE command box and the the message "java.lang.exception :programmer not responding"

So I have just skipped the firmware update process and the board works fine with BruC, I am running the wifi Interface with no issues.

So, any ideas why the firmware updater won't communicate with the MEGA? Does it even matter?


Quote
(@pbruno3)
Reputable Member Admin
Joined: 3 years ago
Posts: 275
May 23, 2020 4:13 pm  

For some reason the updater has not been working with the MEGA or UNO recently. We have had to update using different boards like the Metro M4.

 

That said, I don't think it matters as long as you have .4. That version added some connection improvements, so I think you are good.


ReplyQuote
(@helibrewer)
Eminent Member
Joined: 3 years ago
Posts: 22
May 23, 2020 8:20 pm  

I wonder if it's IDE related...if I get motivated I will try a different IDE


ReplyQuote
(@pbruno3)
Reputable Member Admin
Joined: 3 years ago
Posts: 275
May 23, 2020 8:27 pm  

It's not. If you search on it, you will likely find a solution. Check the Adafruit forums.


ReplyQuote
Share: